#ifndef XPATHLINK_H
#define XPATHLINK_H

#include "xasset.h"

#include <QVector>

class XPathLink : public XAsset
{
public:
    explicit XPathLink();
    ~XPathLink();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

    float GetDist() const;
    void SetDist(float dist);

    unsigned short GetNodeNum() const;
    void SetNodeNum(unsigned short num);

    unsigned char GetDisconnectCount() const;
    void SetDisconnectCount(unsigned char count);

    unsigned char GetNegotiationLink() const;
    void SetNegotiationLink(unsigned char link);

    QVector<unsigned char> GetBadPlaceCount() const;
    void SetBadPlaceCount(QVector<unsigned char> aCounts);

private:
    float mDist;
    unsigned short mNodeNum;
    unsigned char mDisconnectCount;
    unsigned char mNegotiationLink;
    QVector<unsigned char> mBadPlaceCount;
};

#endif // XPATHLINK_H
